### Method

# Vte Terminal get_text_range_format

since: 0.72

#### Declaration [src]

    char*
    vte_terminal_get_text_range_format (
      VteTerminal* terminal,
      VteFormat format,
      long start_row,
      long start_col,
      long end_row,
      long end_col,
      gsize* length
    )

#### Description [src]

Returns the specified range of text in the specified format.

Available since: 0.72

#### Parameters

`format`

  Type: `VteFormat`

  The `VteFormat` to use.

`start_row`

  Type: `long`

  The first row of the range.

`start_col`

  Type: `long`

  The first column of the range.

`end_row`

  Type: `long`

  The last row of the range.

`end_col`

  Type: `long`

  The last column of the range.

`length`

  Type: `gsize*`

  A pointer to a #gsize to store the string length.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `char*`

A newly allocated string, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.